<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: hybrid_velocity Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">hybrid_velocity Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aac0d0f30bba18598ec2e6db84a6020e5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#aac0d0f30bba18598ec2e6db84a6020e5">hybrid_velocity_rhs_u</a> (cfd)</td></tr>
<tr class="separator:aac0d0f30bba18598ec2e6db84a6020e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8566d8beff0033e8d23950473b2b92cb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#a8566d8beff0033e8d23950473b2b92cb">hybrid_velocity_rhs_v</a> (cfd)</td></tr>
<tr class="separator:a8566d8beff0033e8d23950473b2b92cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67a566ba58d932bd4a5da457bf09fc18"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#a67a566ba58d932bd4a5da457bf09fc18">hybrid_velocity_rhs_w</a> (cfd)</td></tr>
<tr class="separator:a67a566ba58d932bd4a5da457bf09fc18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d95e794feb80b51d7a842a60be73dd5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#a1d95e794feb80b51d7a842a60be73dd5">hybrid_velocity_rhs_u_bc</a> (cfd)</td></tr>
<tr class="separator:a1d95e794feb80b51d7a842a60be73dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa09b73b60d0fa1e5dcc8fb7962746fdd"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#aa09b73b60d0fa1e5dcc8fb7962746fdd">hybrid_velocity_rhs_v_bc</a> (cfd)</td></tr>
<tr class="separator:aa09b73b60d0fa1e5dcc8fb7962746fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a532e1a7dc843eccf7d49583490b9e0a1"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#a532e1a7dc843eccf7d49583490b9e0a1">hybrid_velocity_rhs_w_bc</a> (cfd)</td></tr>
<tr class="separator:a532e1a7dc843eccf7d49583490b9e0a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e71b6f02a2606e05ca21424a081d8e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#a35e71b6f02a2606e05ca21424a081d8e">hybrid_velocity_da_rhs_u_bc</a> (cfd)</td></tr>
<tr class="separator:a35e71b6f02a2606e05ca21424a081d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf616dd83f9ed3e94e178c5226bda420"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#abf616dd83f9ed3e94e178c5226bda420">hybrid_velocity_da_rhs_v_bc</a> (cfd)</td></tr>
<tr class="separator:abf616dd83f9ed3e94e178c5226bda420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ba433c563fd0eda40a165c3754c8f9d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__velocity.html#a9ba433c563fd0eda40a165c3754c8f9d">hybrid_velocity_da_rhs_w_bc</a> (cfd)</td></tr>
<tr class="separator:a9ba433c563fd0eda40a165c3754c8f9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a35e71b6f02a2606e05ca21424a081d8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35e71b6f02a2606e05ca21424a081d8e">&#9670;&nbsp;</a></span>hybrid_velocity_da_rhs_u_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_da_rhs_u_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#a9640f5b90fdeff3402dd17086a413ed5">link_metric_conv::divc_xy</a>, <a class="el" href="namespacelink__metric__conv.html#aaf5bdfcb79fc21fc3091d14766b480f2">link_metric_conv::divc_xz</a>, and <a class="el" href="namespacelink__velocity.html#aaf14cf79c936209b2ea1ae5de5161ee3">link_velocity::u</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_a35e71b6f02a2606e05ca21424a081d8e_icgraph.png" border="0" usemap="#namespacehybrid__velocity_a35e71b6f02a2606e05ca21424a081d8e_icgraph" alt=""/></div>
<map name="namespacehybrid__velocity_a35e71b6f02a2606e05ca21424a081d8e_icgraph" id="namespacehybrid__velocity_a35e71b6f02a2606e05ca21424a081d8e_icgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#aac0d0f30bba18598ec2e6db84a6020e5" title="hybrid_velocity::hybrid\l_velocity_rhs_u" alt="" coords="208,5,360,47"/>
</map>
</div>

</div>
</div>
<a id="abf616dd83f9ed3e94e178c5226bda420"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf616dd83f9ed3e94e178c5226bda420">&#9670;&nbsp;</a></span>hybrid_velocity_da_rhs_v_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_da_rhs_v_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#ab089658828ef07a0643725cdf27b2958">link_metric_conv::divc_yx</a>, <a class="el" href="namespacelink__metric__conv.html#a7e1296d7b462d8e59fdd301930a1dbee">link_metric_conv::divc_yz</a>, and <a class="el" href="namespacelink__velocity.html#aab907a6bc81ce474f1030edb82d2f7b6">link_velocity::v</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_abf616dd83f9ed3e94e178c5226bda420_icgraph.png" border="0" usemap="#namespacehybrid__velocity_abf616dd83f9ed3e94e178c5226bda420_icgraph" alt=""/></div>
<map name="namespacehybrid__velocity_abf616dd83f9ed3e94e178c5226bda420_icgraph" id="namespacehybrid__velocity_abf616dd83f9ed3e94e178c5226bda420_icgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#a8566d8beff0033e8d23950473b2b92cb" title="hybrid_velocity::hybrid\l_velocity_rhs_v" alt="" coords="208,5,360,47"/>
</map>
</div>

</div>
</div>
<a id="a9ba433c563fd0eda40a165c3754c8f9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ba433c563fd0eda40a165c3754c8f9d">&#9670;&nbsp;</a></span>hybrid_velocity_da_rhs_w_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_da_rhs_w_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#a1c73e15e3d2a476e8b2321751b128432">link_metric_conv::divc_zx</a>, <a class="el" href="namespacelink__metric__conv.html#a7eb2be1090cb74ecc86d160971d65d93">link_metric_conv::divc_zy</a>, and <a class="el" href="namespacelink__velocity.html#a98781506cd5b8300bcff4058f9ffbca6">link_velocity::w</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_a9ba433c563fd0eda40a165c3754c8f9d_icgraph.png" border="0" usemap="#namespacehybrid__velocity_a9ba433c563fd0eda40a165c3754c8f9d_icgraph" alt=""/></div>
<map name="namespacehybrid__velocity_a9ba433c563fd0eda40a165c3754c8f9d_icgraph" id="namespacehybrid__velocity_a9ba433c563fd0eda40a165c3754c8f9d_icgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#a67a566ba58d932bd4a5da457bf09fc18" title="hybrid_velocity::hybrid\l_velocity_rhs_w" alt="" coords="212,5,364,47"/>
</map>
</div>

</div>
</div>
<a id="aac0d0f30bba18598ec2e6db84a6020e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac0d0f30bba18598ec2e6db84a6020e5">&#9670;&nbsp;</a></span>hybrid_velocity_rhs_u()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_rhs_u </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#a3bbadca9dbc516a78ad68d8476f095e4">link_metric_conv::divc_xx</a>, <a class="el" href="namespacelink__metric__conv.html#a9640f5b90fdeff3402dd17086a413ed5">link_metric_conv::divc_xy</a>, <a class="el" href="namespacelink__metric__conv.html#aaf5bdfcb79fc21fc3091d14766b480f2">link_metric_conv::divc_xz</a>, <a class="el" href="namespacelink__metric__visc.html#a6773e8d64d53ce5932997296dc5c419a">link_metric_visc::divv_u</a>, <a class="el" href="namespacelink__metric__visc.html#a1750a7f87da90477296d1d2171db3176">link_metric_visc::divv_v</a>, <a class="el" href="namespacelink__metric__visc.html#a4c137c39441b3954194de098ca5a2c9e">link_metric_visc::divv_w</a>, <a class="el" href="namespacelink__metric__visc.html#af72517cbf431ecf1fb780ededfd0da91">link_metric_visc::divv_xx</a>, <a class="el" href="namespacelink__metric__visc.html#a94811043595249aea06180f3121b45f4">link_metric_visc::divv_xy</a>, <a class="el" href="namespacelink__metric__visc.html#a3aa1cc77324a2390396faab151aba47b">link_metric_visc::divv_xz</a>, <a class="el" href="namespacelink__metric__conv.html#acd318e790b59991afd48d9e85975ed97">link_metric_conv::grad_px</a>, <a class="el" href="namespacelink__metric__visc.html#ac96709d261d2f63f4af855fceb72ff1b">link_metric_visc::grad_u_x</a>, <a class="el" href="namespacelink__metric__visc.html#a09dd835d3052049de9685ddf1b55dcd5">link_metric_visc::grad_u_y</a>, <a class="el" href="namespacelink__metric__visc.html#aaac9c535079ac543674553b4bbf6cff7">link_metric_visc::grad_u_z</a>, <a class="el" href="namespacelink__metric__visc.html#abedc4dd235c04310d4fc6b84b003ad25">link_metric_visc::grad_v_x</a>, <a class="el" href="namespacelink__metric__visc.html#a58a92fd3b949b0eb0aabca640956fd68">link_metric_visc::grad_w_x</a>, <a class="el" href="namespacehybrid__velocity.html#a35e71b6f02a2606e05ca21424a081d8e">hybrid_velocity_da_rhs_u_bc()</a>, <a class="el" href="namespacehybrid__velocity.html#a1d95e794feb80b51d7a842a60be73dd5">hybrid_velocity_rhs_u_bc()</a>, <a class="el" href="namespacelink__metric__conv.html#ab1feb5099806a3572c00ad927b6b85e9">link_metric_conv::interp_ju_xm</a>, <a class="el" href="namespacelink__metric__conv.html#adda5326660cbf4621b6ea1697b02c8bc">link_metric_conv::interp_jv_x</a>, <a class="el" href="namespacelink__metric__conv.html#a54ee0fd00afe7caa7932a37841c5a79b">link_metric_conv::interp_jw_x</a>, <a class="el" href="namespacelink__metric__conv.html#ad90a6af9277a2dbea23c753eeb411e09">link_metric_conv::interp_xx</a>, <a class="el" href="namespacelink__metric__conv.html#ae6420d4b90268a5991c09084738138b5">link_metric_conv::interp_xy</a>, <a class="el" href="namespacelink__metric__conv.html#a483643c87686eb5fef25c3d38b43be8a">link_metric_conv::interp_xz</a>, <a class="el" href="namespacelink__velocity.html#a627c4be61a53c20a62f5e34eeaccddcb">link_velocity::rhou</a>, <a class="el" href="namespacelink__velocity.html#ab01c58630e7d3934b323498e4e7b6e17">link_velocity::rhov</a>, <a class="el" href="namespacelink__velocity.html#aa22dfd885c068f824ba904d01af2166d">link_velocity::rhow</a>, <a class="el" href="namespacelink__velocity.html#aa012b145e50d2ebdc111f284acd10172">link_velocity::srcu</a>, <a class="el" href="namespacelink__velocity.html#aaf14cf79c936209b2ea1ae5de5161ee3">link_velocity::u</a>, <a class="el" href="namespacelink__velocity.html#aab907a6bc81ce474f1030edb82d2f7b6">link_velocity::v</a>, <a class="el" href="namespacevelocity__div.html#a844b33d212682619d7c7b439bce4b9c2">velocity_div::velocity_flux_u_bc()</a>, <a class="el" href="namespacelink__velocity.html#a26ed886dc09dea689d8c196a19d31a94">link_velocity::visc</a>, <a class="el" href="namespacelink__velocity.html#aed9ef72f83bd1baa48e25a7eee8ce4f0">link_velocity::visc_xy</a>, <a class="el" href="namespacelink__velocity.html#a3d159d5b43cc9df465b2ba4fbdd0e7e0">link_velocity::visc_xz</a>, and <a class="el" href="namespacelink__velocity.html#a98781506cd5b8300bcff4058f9ffbca6">link_velocity::w</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_aac0d0f30bba18598ec2e6db84a6020e5_cgraph.png" border="0" usemap="#namespacehybrid__velocity_aac0d0f30bba18598ec2e6db84a6020e5_cgraph" alt=""/></div>
<map name="namespacehybrid__velocity_aac0d0f30bba18598ec2e6db84a6020e5_cgraph" id="namespacehybrid__velocity_aac0d0f30bba18598ec2e6db84a6020e5_cgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#a35e71b6f02a2606e05ca21424a081d8e" title="hybrid_velocity::hybrid\l_velocity_da_rhs_u_bc" alt="" coords="205,5,360,47"/>
<area shape="rect" id="node3" href="namespacehybrid__velocity.html#a1d95e794feb80b51d7a842a60be73dd5" title="hybrid_velocity::hybrid\l_velocity_rhs_u_bc" alt="" coords="207,71,359,112"/>
<area shape="rect" id="node4" href="namespacevelocity__div.html#a844b33d212682619d7c7b439bce4b9c2" title="velocity_div::velocity\l_flux_u_bc" alt="" coords="211,136,355,177"/>
</map>
</div>

</div>
</div>
<a id="a1d95e794feb80b51d7a842a60be73dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d95e794feb80b51d7a842a60be73dd5">&#9670;&nbsp;</a></span>hybrid_velocity_rhs_u_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_rhs_u_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#a9640f5b90fdeff3402dd17086a413ed5">link_metric_conv::divc_xy</a>, <a class="el" href="namespacelink__metric__conv.html#aaf5bdfcb79fc21fc3091d14766b480f2">link_metric_conv::divc_xz</a>, and <a class="el" href="namespacelink__velocity.html#aaf14cf79c936209b2ea1ae5de5161ee3">link_velocity::u</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_a1d95e794feb80b51d7a842a60be73dd5_icgraph.png" border="0" usemap="#namespacehybrid__velocity_a1d95e794feb80b51d7a842a60be73dd5_icgraph" alt=""/></div>
<map name="namespacehybrid__velocity_a1d95e794feb80b51d7a842a60be73dd5_icgraph" id="namespacehybrid__velocity_a1d95e794feb80b51d7a842a60be73dd5_icgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#aac0d0f30bba18598ec2e6db84a6020e5" title="hybrid_velocity::hybrid\l_velocity_rhs_u" alt="" coords="205,5,357,47"/>
</map>
</div>

</div>
</div>
<a id="a8566d8beff0033e8d23950473b2b92cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8566d8beff0033e8d23950473b2b92cb">&#9670;&nbsp;</a></span>hybrid_velocity_rhs_v()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_rhs_v </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#ab089658828ef07a0643725cdf27b2958">link_metric_conv::divc_yx</a>, <a class="el" href="namespacelink__metric__conv.html#af1036a24dd517fbfb413285cbcf977ec">link_metric_conv::divc_yy</a>, <a class="el" href="namespacelink__metric__conv.html#a7e1296d7b462d8e59fdd301930a1dbee">link_metric_conv::divc_yz</a>, <a class="el" href="namespacelink__metric__visc.html#a6773e8d64d53ce5932997296dc5c419a">link_metric_visc::divv_u</a>, <a class="el" href="namespacelink__metric__visc.html#a1750a7f87da90477296d1d2171db3176">link_metric_visc::divv_v</a>, <a class="el" href="namespacelink__metric__visc.html#a4c137c39441b3954194de098ca5a2c9e">link_metric_visc::divv_w</a>, <a class="el" href="namespacelink__metric__visc.html#a10b9692ad7160785e9462f2c001dc58c">link_metric_visc::divv_yx</a>, <a class="el" href="namespacelink__metric__visc.html#a86cbe0b12a27546db8784949db5a897e">link_metric_visc::divv_yy</a>, <a class="el" href="namespacelink__metric__visc.html#a8573d8e678fa528bc855b3b23e5926ed">link_metric_visc::divv_yz</a>, <a class="el" href="namespacelink__metric__conv.html#ae0604d6b03b558513ad04feb84e215f7">link_metric_conv::grad_py</a>, <a class="el" href="namespacelink__metric__visc.html#a09dd835d3052049de9685ddf1b55dcd5">link_metric_visc::grad_u_y</a>, <a class="el" href="namespacelink__metric__visc.html#abedc4dd235c04310d4fc6b84b003ad25">link_metric_visc::grad_v_x</a>, <a class="el" href="namespacelink__metric__visc.html#a6c6bef5bf243db5239f0ded155569b7f">link_metric_visc::grad_v_y</a>, <a class="el" href="namespacelink__metric__visc.html#a689361ef0091c34baa86561a75ffeed7">link_metric_visc::grad_v_z</a>, <a class="el" href="namespacelink__metric__visc.html#adf640be0250b8a5ab6b4a7f56172e44a">link_metric_visc::grad_w_y</a>, <a class="el" href="namespacelink__metric__visc.html#abe01a3a70a616d2d74a3f502494a96ce">link_metric_visc::grad_w_z</a>, <a class="el" href="namespacehybrid__velocity.html#abf616dd83f9ed3e94e178c5226bda420">hybrid_velocity_da_rhs_v_bc()</a>, <a class="el" href="namespacehybrid__velocity.html#aa09b73b60d0fa1e5dcc8fb7962746fdd">hybrid_velocity_rhs_v_bc()</a>, <a class="el" href="namespacelink__metric__conv.html#a63c7ab444e0e1f79f2dcebb2f9ab4205">link_metric_conv::interp_cyl_f_y</a>, <a class="el" href="namespacelink__metric__conv.html#af95cf0c6881f48b457bf3d1f37a235d7">link_metric_conv::interp_cyl_w_zm</a>, <a class="el" href="namespacelink__metric__conv.html#a7b2fae1d6e94c2513cef3b6d107f9604">link_metric_conv::interp_ju_y</a>, <a class="el" href="namespacelink__metric__conv.html#a7a37482a1f142bd1f298d2d09117ce8e">link_metric_conv::interp_jv_ym</a>, <a class="el" href="namespacelink__metric__conv.html#ab48bd911d69ea1943c885a4dc239c2de">link_metric_conv::interp_jw_y</a>, <a class="el" href="namespacelink__metric__conv.html#a5941b05c64340766a6f4b63d7657bfb9">link_metric_conv::interp_yx</a>, <a class="el" href="namespacelink__metric__conv.html#ab5a1a3613947645371195fcfb28254b3">link_metric_conv::interp_yy</a>, <a class="el" href="namespacelink__metric__conv.html#a4001fc14ce79887995a2a2ad1d27f0b0">link_metric_conv::interp_yz</a>, <a class="el" href="namespacelink__metric__visc.html#a9f69d199746877666aeed5bc2ea0052e">link_metric_visc::interpv_cyl_f_y</a>, <a class="el" href="namespacelink__metric__visc.html#a929631362fd852e1fa86a4bf0f0b3bd0">link_metric_visc::interpv_cyl_v_ym</a>, <a class="el" href="namespacelink__metric__visc.html#a97bbf56572d68b7504b80f58d7449ada">link_metric_visc::interpv_cyl_w_y</a>, <a class="el" href="namespacelink__velocity.html#a627c4be61a53c20a62f5e34eeaccddcb">link_velocity::rhou</a>, <a class="el" href="namespacelink__velocity.html#ab01c58630e7d3934b323498e4e7b6e17">link_velocity::rhov</a>, <a class="el" href="namespacelink__velocity.html#aa22dfd885c068f824ba904d01af2166d">link_velocity::rhow</a>, <a class="el" href="namespacelink__velocity.html#af0930933e6dbaac576373a86f354424e">link_velocity::srcv</a>, <a class="el" href="namespacelink__velocity.html#aaf14cf79c936209b2ea1ae5de5161ee3">link_velocity::u</a>, <a class="el" href="namespacelink__velocity.html#aab907a6bc81ce474f1030edb82d2f7b6">link_velocity::v</a>, <a class="el" href="namespacevelocity__div.html#a5c26c97f8ceb7066bdc9442160f860b6">velocity_div::velocity_flux_v_bc()</a>, <a class="el" href="namespacelink__velocity.html#a26ed886dc09dea689d8c196a19d31a94">link_velocity::visc</a>, <a class="el" href="namespacelink__velocity.html#aed9ef72f83bd1baa48e25a7eee8ce4f0">link_velocity::visc_xy</a>, <a class="el" href="namespacelink__velocity.html#a3835ee53ccb43b6fed2efe86632302c7">link_velocity::visc_yz</a>, and <a class="el" href="namespacelink__velocity.html#a98781506cd5b8300bcff4058f9ffbca6">link_velocity::w</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_a8566d8beff0033e8d23950473b2b92cb_cgraph.png" border="0" usemap="#namespacehybrid__velocity_a8566d8beff0033e8d23950473b2b92cb_cgraph" alt=""/></div>
<map name="namespacehybrid__velocity_a8566d8beff0033e8d23950473b2b92cb_cgraph" id="namespacehybrid__velocity_a8566d8beff0033e8d23950473b2b92cb_cgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#abf616dd83f9ed3e94e178c5226bda420" title="hybrid_velocity::hybrid\l_velocity_da_rhs_v_bc" alt="" coords="205,5,360,47"/>
<area shape="rect" id="node3" href="namespacehybrid__velocity.html#aa09b73b60d0fa1e5dcc8fb7962746fdd" title="hybrid_velocity::hybrid\l_velocity_rhs_v_bc" alt="" coords="207,71,359,112"/>
<area shape="rect" id="node4" href="namespacevelocity__div.html#a5c26c97f8ceb7066bdc9442160f860b6" title="velocity_div::velocity\l_flux_v_bc" alt="" coords="211,136,355,177"/>
</map>
</div>

</div>
</div>
<a id="aa09b73b60d0fa1e5dcc8fb7962746fdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa09b73b60d0fa1e5dcc8fb7962746fdd">&#9670;&nbsp;</a></span>hybrid_velocity_rhs_v_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_rhs_v_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#ab089658828ef07a0643725cdf27b2958">link_metric_conv::divc_yx</a>, <a class="el" href="namespacelink__metric__conv.html#a7e1296d7b462d8e59fdd301930a1dbee">link_metric_conv::divc_yz</a>, and <a class="el" href="namespacelink__velocity.html#aab907a6bc81ce474f1030edb82d2f7b6">link_velocity::v</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_aa09b73b60d0fa1e5dcc8fb7962746fdd_icgraph.png" border="0" usemap="#namespacehybrid__velocity_aa09b73b60d0fa1e5dcc8fb7962746fdd_icgraph" alt=""/></div>
<map name="namespacehybrid__velocity_aa09b73b60d0fa1e5dcc8fb7962746fdd_icgraph" id="namespacehybrid__velocity_aa09b73b60d0fa1e5dcc8fb7962746fdd_icgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#a8566d8beff0033e8d23950473b2b92cb" title="hybrid_velocity::hybrid\l_velocity_rhs_v" alt="" coords="205,5,357,47"/>
</map>
</div>

</div>
</div>
<a id="a67a566ba58d932bd4a5da457bf09fc18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67a566ba58d932bd4a5da457bf09fc18">&#9670;&nbsp;</a></span>hybrid_velocity_rhs_w()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_rhs_w </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#a1c73e15e3d2a476e8b2321751b128432">link_metric_conv::divc_zx</a>, <a class="el" href="namespacelink__metric__conv.html#a7eb2be1090cb74ecc86d160971d65d93">link_metric_conv::divc_zy</a>, <a class="el" href="namespacelink__metric__conv.html#a53fe1d0053e5bfcc0aaaa02709643d33">link_metric_conv::divc_zz</a>, <a class="el" href="namespacelink__metric__visc.html#a6773e8d64d53ce5932997296dc5c419a">link_metric_visc::divv_u</a>, <a class="el" href="namespacelink__metric__visc.html#a1750a7f87da90477296d1d2171db3176">link_metric_visc::divv_v</a>, <a class="el" href="namespacelink__metric__visc.html#a4c137c39441b3954194de098ca5a2c9e">link_metric_visc::divv_w</a>, <a class="el" href="namespacelink__metric__visc.html#a8ef9541719a4de98ce379d691c37b998">link_metric_visc::divv_zx</a>, <a class="el" href="namespacelink__metric__visc.html#a98fe6764600cfaa46747145f0f9d1800">link_metric_visc::divv_zy</a>, <a class="el" href="namespacelink__metric__visc.html#a157b241e7316789208bf7793b29e4f46">link_metric_visc::divv_zz</a>, <a class="el" href="namespacelink__metric__conv.html#ae7c71022f4bfc9ebd74c9dd163bb8973">link_metric_conv::grad_pz</a>, <a class="el" href="namespacelink__metric__visc.html#aaac9c535079ac543674553b4bbf6cff7">link_metric_visc::grad_u_z</a>, <a class="el" href="namespacelink__metric__visc.html#a689361ef0091c34baa86561a75ffeed7">link_metric_visc::grad_v_z</a>, <a class="el" href="namespacelink__metric__visc.html#a58a92fd3b949b0eb0aabca640956fd68">link_metric_visc::grad_w_x</a>, <a class="el" href="namespacelink__metric__visc.html#adf640be0250b8a5ab6b4a7f56172e44a">link_metric_visc::grad_w_y</a>, <a class="el" href="namespacelink__metric__visc.html#abe01a3a70a616d2d74a3f502494a96ce">link_metric_visc::grad_w_z</a>, <a class="el" href="namespacehybrid__velocity.html#a9ba433c563fd0eda40a165c3754c8f9d">hybrid_velocity_da_rhs_w_bc()</a>, <a class="el" href="namespacehybrid__velocity.html#a532e1a7dc843eccf7d49583490b9e0a1">hybrid_velocity_rhs_w_bc()</a>, <a class="el" href="namespacelink__metric__conv.html#a6491b2c62543da20c916026086273cd7">link_metric_conv::interp_cyl_f_z</a>, <a class="el" href="namespacelink__metric__conv.html#a18412e82899bd2eb65ebab2150f9daee">link_metric_conv::interp_cyl_v_ym</a>, <a class="el" href="namespacelink__metric__conv.html#af95cf0c6881f48b457bf3d1f37a235d7">link_metric_conv::interp_cyl_w_zm</a>, <a class="el" href="namespacelink__metric__conv.html#ad6bad045056ac47de03af1948237f0cd">link_metric_conv::interp_ju_z</a>, <a class="el" href="namespacelink__metric__conv.html#a7bd9f501a6d44522aa5ade844eb6966f">link_metric_conv::interp_jv_z</a>, <a class="el" href="namespacelink__metric__conv.html#a4ae9e2d3911e62f39d8ed2636bba97d4">link_metric_conv::interp_jw_zm</a>, <a class="el" href="namespacelink__metric__conv.html#ad4f4b68cdf9a709e14fa2745cec6dac6">link_metric_conv::interp_zx</a>, <a class="el" href="namespacelink__metric__conv.html#a49e0b040d660e5758f3a1e22adbfa13c">link_metric_conv::interp_zy</a>, <a class="el" href="namespacelink__metric__conv.html#a7f58c24e593d2cfb9f7c8918c4de7252">link_metric_conv::interp_zz</a>, <a class="el" href="namespacelink__metric__visc.html#a9c09ec43ea6e84cd3f46f344d022c138">link_metric_visc::interpv_cyl_f_ym</a>, <a class="el" href="namespacelink__metric__visc.html#a929631362fd852e1fa86a4bf0f0b3bd0">link_metric_visc::interpv_cyl_v_ym</a>, <a class="el" href="namespacelink__metric__visc.html#a97bbf56572d68b7504b80f58d7449ada">link_metric_visc::interpv_cyl_w_y</a>, <a class="el" href="namespacelink__velocity.html#a627c4be61a53c20a62f5e34eeaccddcb">link_velocity::rhou</a>, <a class="el" href="namespacelink__velocity.html#ab01c58630e7d3934b323498e4e7b6e17">link_velocity::rhov</a>, <a class="el" href="namespacelink__velocity.html#aa22dfd885c068f824ba904d01af2166d">link_velocity::rhow</a>, <a class="el" href="namespacelink__velocity.html#a215bab77db6d5e2b98e909a0b688601f">link_velocity::srcw</a>, <a class="el" href="namespacelink__velocity.html#aaf14cf79c936209b2ea1ae5de5161ee3">link_velocity::u</a>, <a class="el" href="namespacelink__velocity.html#aab907a6bc81ce474f1030edb82d2f7b6">link_velocity::v</a>, <a class="el" href="namespacevelocity__div.html#ae82bb0004046cd1c788455c8c05734f6">velocity_div::velocity_flux_w_bc()</a>, <a class="el" href="namespacelink__velocity.html#a26ed886dc09dea689d8c196a19d31a94">link_velocity::visc</a>, <a class="el" href="namespacelink__velocity.html#a3d159d5b43cc9df465b2ba4fbdd0e7e0">link_velocity::visc_xz</a>, <a class="el" href="namespacelink__velocity.html#a3835ee53ccb43b6fed2efe86632302c7">link_velocity::visc_yz</a>, and <a class="el" href="namespacelink__velocity.html#a98781506cd5b8300bcff4058f9ffbca6">link_velocity::w</a>.</p>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_a67a566ba58d932bd4a5da457bf09fc18_cgraph.png" border="0" usemap="#namespacehybrid__velocity_a67a566ba58d932bd4a5da457bf09fc18_cgraph" alt=""/></div>
<map name="namespacehybrid__velocity_a67a566ba58d932bd4a5da457bf09fc18_cgraph" id="namespacehybrid__velocity_a67a566ba58d932bd4a5da457bf09fc18_cgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#a9ba433c563fd0eda40a165c3754c8f9d" title="hybrid_velocity::hybrid\l_velocity_da_rhs_w_bc" alt="" coords="205,5,364,47"/>
<area shape="rect" id="node3" href="namespacehybrid__velocity.html#a532e1a7dc843eccf7d49583490b9e0a1" title="hybrid_velocity::hybrid\l_velocity_rhs_w_bc" alt="" coords="209,71,361,112"/>
<area shape="rect" id="node4" href="namespacevelocity__div.html#ae82bb0004046cd1c788455c8c05734f6" title="velocity_div::velocity\l_flux_w_bc" alt="" coords="213,136,357,177"/>
</map>
</div>

</div>
</div>
<a id="a532e1a7dc843eccf7d49583490b9e0a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a532e1a7dc843eccf7d49583490b9e0a1">&#9670;&nbsp;</a></span>hybrid_velocity_rhs_w_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_velocity::hybrid_velocity_rhs_w_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv.html#a1c73e15e3d2a476e8b2321751b128432">link_metric_conv::divc_zx</a>, <a class="el" href="namespacelink__metric__conv.html#a7eb2be1090cb74ecc86d160971d65d93">link_metric_conv::divc_zy</a>, and <a class="el" href="namespacelink__velocity.html#a98781506cd5b8300bcff4058f9ffbca6">link_velocity::w</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__velocity_a532e1a7dc843eccf7d49583490b9e0a1_icgraph.png" border="0" usemap="#namespacehybrid__velocity_a532e1a7dc843eccf7d49583490b9e0a1_icgraph" alt=""/></div>
<map name="namespacehybrid__velocity_a532e1a7dc843eccf7d49583490b9e0a1_icgraph" id="namespacehybrid__velocity_a532e1a7dc843eccf7d49583490b9e0a1_icgraph">
<area shape="rect" id="node2" href="namespacehybrid__velocity.html#a67a566ba58d932bd4a5da457bf09fc18" title="hybrid_velocity::hybrid\l_velocity_rhs_w" alt="" coords="205,5,357,47"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
